Name:		perl-Crypt-OpenSSL-Bignum
Version: 	0.04
Release:	4.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Crypt::OpenSSL::Bignum
URL: 		http://search.cpan.org/~iroberts/
Source0: 	Crypt-OpenSSL-Bignum-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl openssl-devel

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
OpenSSL's multiprecision integer arithmetic

%prep
%setup -q -n Crypt-OpenSSL-Bignum-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorarch}/Crypt
%dir %{perl_vendorarch}/Crypt/OpenSSL
%dir %{perl_vendorarch}/Crypt/OpenSSL/Bignum
%dir %{perl_vendorarch}/auto/Crypt
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum
%{perl_vendorarch}/Crypt/OpenSSL/Bignum.pm
%{perl_vendorarch}/Crypt/OpenSSL/Bignum/CTX.pm
%{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum/Bignum.bs
%{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum/Bignum.so
%{_mandir}/man3/Crypt::OpenSSL::Bignum.3pm*
%{_mandir}/man3/Crypt::OpenSSL::Bignum::CTX.3pm*

%changelog
* Thu Oct 16 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build, needed by perl-Crypt-OpenSSL-RSA
